connector ChassisPosition 
  "Describe the position and orientation of the chassis" 
  annotation (Icon(
      Rectangle(extent=[-100, 100; 100, -100], style(color=0, fillColor=7)),
      Polygon(points=[10, 10; 60, 10; 60, 20; 80, 0; 60, -20; 60, -10; 10, -10;
             10, 10], style(color=0, fillPattern=1)),
      Polygon(points=[10, 2; 10, 60; 20, 60; 0, 80; -20, 60; -10, 60; -10, 2;
            10, 2], style(color=0, fillPattern=1)),
      Polygon(points=[14, 0; -30, -50; -20, -60; -58, -66; -52, -28; -42, -38;
            2, 12; 14, 0], style(color=0, fillPattern=1)),
      Ellipse(extent=[-20, 20; 20, -20], style(color=0, fillPattern=1)),
      Text(
        extent=[-100, 70; 100, 14],
        string="%name",
        style(color=0))));
  Modelica.SIunits.Position forward_distance;
  Modelica.SIunits.Position lateral_distance;
  Modelica.SIunits.Position vertical_distance;
  Modelica.SIunits.Angle yaw;
  Modelica.SIunits.Angle pitch;
  Modelica.SIunits.Angle roll;
end ChassisPosition;
