partial model Accessories "Accessory devices" 
protected 
  replaceable connector AccessoriesBus = VehicleSystems.Interfaces.Bus;
  replaceable model Environment = 
      VehicleSystems.Implementations.Null.Environment 
     extends VehicleSystems.Interfaces.Subsystems.Environment;
  replaceable connector ElectricalBus = VehicleSystems.Interfaces.ElectricalBus
    annotation (choicesAllMatching=true);
public 
  Modelica.Mechanics.Rotational.Interfaces.Flange_b drive 
    "Source of drive torque" annotation (extent=[90, -10; 110, 10]);
  ElectricalBus power "Connection to the vehicle electrical system" 
    annotation (extent=[-70, -110; -50, -90]);
  
  inner AccessoriesBus accessories_bus annotation (extent=[-30, 90; -10, 110]);
  annotation (Diagram);
  outer Environment environment annotation (extent=[80, -100; 100, -80]);
end Accessories;
