connector Wire 
  "Carries both the positive and negative sides of the electrical system" 
  
  Modelica.SIunits.Voltage V "Voltage of hot wire";
  flow Modelica.SIunits.Current i "Amount of current drawn on the hot side";
  Modelica.SIunits.Voltage Vg "Voltage of ground wire";
  flow Modelica.SIunits.Current ig "Amount of current drawn on the ground side";
  
  annotation (Icon(Rectangle(extent=[-100, 100; 100, -100], style(color=0,
            fillColor=0)), Rectangle(extent=[-80, 80; 80, -80], style(
          color=0,
          fillColor=1,
          fillPattern=1))), Diagram);
end Wire;
