import "package.mo";
import "VMATutorial2005/work/Exercise1.mo";

model Exercise2 
  extends Exercise1(
    redeclare replaceable 
      BasicVehicleSystems.Transmission.Controllers.GearFromDriver 
      transmission_control, 
    redeclare replaceable BasicVehicleSystems.Chassis.RigidChassis chassis, 
    redeclare replaceable BasicVehicleSystems.Driver.CycleDriver driver(
        redeclare replaceable record CycleData = 
          BasicVehicleSystems.Data.Cycles.EPA_City), 
    redeclare replaceable BasicVehicleSystems.Powerplant.FuelEconomy powerplant(
        torque_curves=BasicVehicleSystems.Data.Engines.OSU_Engine()), 
    redeclare replaceable 
      BasicVehicleSystems.Transmission.ClutchlessStepRatioTransmission 
      transmission(ratios={10,8,5,4,3}));
  annotation (uses(Modelica(version="2.2")));
end Exercise2;
