model MinimalVehicle 
  
  extends VehicleSystems.Architectures.ConventionalVehicle(
    redeclare VehicleSystems.Implementations.Minimal.Driver driver,
    redeclare VehicleSystems.Implementations.Minimal.Powerplant powerplant,
    redeclare VehicleSystems.Implementations.Minimal.Electrical electrical,
    redeclare VehicleSystems.Implementations.Minimal.Transmission transmission,
    redeclare VehicleSystems.Implementations.Null.Accessories accessories,
    redeclare VehicleSystems.Implementations.Minimal.Chassis chassis,
    redeclare VehicleSystems.Implementations.Minimal.Driveline driveline,
    redeclare VehicleSystems.Implementations.Null.Environment environment,
    redeclare VehicleSystems.Implementations.Null.PowerplantController 
      powerplant_control,
    redeclare VehicleSystems.Implementations.Null.TransmissionController 
      transmission_control,
    redeclare VehicleSystems.Implementations.Null.DrivelineController 
      driveline_control,
    redeclare VehicleSystems.Implementations.Null.BrakesController 
      brake_control,
    redeclare VehicleSystems.Implementations.Null.AccessoriesController 
      accessory_control,
    redeclare VehicleSystems.Implementations.Null.ElectricalController 
      electrical_control,
    redeclare VehicleSystems.Implementations.Null.ChassisController 
      chassis_control,
    redeclare VehicleSystems.Implementations.Null.VehicleController 
      vehicle_control,
    redeclare VehicleSystems.Implementations.Minimal.Brakes brakes(
                                                        max_torque=1000));
  
  annotation (Diagram);
end MinimalVehicle;
