model FrontAxle 
  Wheels wheels annotation (extent=[-64,-10; -44,10], rotation=90);
  annotation (Icon(
      Rectangle(extent=[-100,100; 0,-100], style(
          color=0,
          rgbcolor={0,0,0},
          fillColor=7,
          rgbfillColor={255,255,255},
          fillPattern=1)),
      Rectangle(extent=[-62,90; -56,10], style(
          color=0,
          rgbcolor={0,0,0},
          fillColor=9,
          rgbfillColor={175,175,175},
          fillPattern=1)),
      Rectangle(extent=[-62,-10; -56,-90], style(
          color=0,
          rgbcolor={0,0,0},
          fillColor=9,
          rgbfillColor={175,175,175},
          fillPattern=1))), Diagram);
  Modelica.Mechanics.Rotational.Interfaces.Flange_a right_front 
    annotation (extent=[-70,90; -50,110]);
  Modelica.Mechanics.Rotational.Interfaces.Flange_a left_front 
    annotation (extent=[-70,-110; -50,-90]);
equation 
  wheels.right_rear_wheel.tau = 0;
  wheels.left_rear_wheel.tau = 0;
  connect(right_front, wheels.right_front_wheel) annotation (points=[-60,100; -60,
        6], style(
      color=0,
      rgbcolor={0,0,0},
      fillColor=9,
      rgbfillColor={175,175,175},
      fillPattern=1));
  connect(left_front, wheels.left_front_wheel) annotation (points=[-60,-100; -60,
        -8; -58,-8], style(
      color=0,
      rgbcolor={0,0,0},
      fillColor=9,
      rgbfillColor={175,175,175},
      fillPattern=1));
end FrontAxle;
