partial model Electrical "Vehicle electronics subsystem" 
protected 
  replaceable connector ElectricalBus = VehicleSystems.Interfaces.ElectricalBus
    annotation (choicesAllMatching=true);
  replaceable connector ControlBus = VehicleSystems.Interfaces.Bus;
  replaceable model Environment = 
      VehicleSystems.Implementations.Null.Environment 
     extends VehicleSystems.Interfaces.Subsystems.Environment;
public 
  ElectricalBus power 
    "Connection from the power supply to the rest of the vehicle" 
    annotation (extent=[-10, 90; 10, 110]);
  
  inner ControlBus electrical_bus annotation (extent=[90, -10; 110, 10]);
  annotation (Diagram);
  outer Environment environment annotation (
    extent=[80, -100; 100, -80],
    DymolaAutoAdded,
    DymolaAutoAdded,
    DymolaAutoAdded,
    DymolaAutoAdded);
end Electrical;
